GDAL-DATASET-COPY(1)

NAME
gdal-dataset-copy - Copy files of a dataset

Added in version 3.12.

gdal dataset copy creates a copy of the dataset file(s), including potential side-car/associated files.

SYNOPSIS

    Usage: gdal dataset copy [OPTIONS] <SOURCE> <DESTINATION>
    Copy files of a dataset.
    Positional arguments:
      --source <SOURCE>            Source dataset name [required]
      --destination <DESTINATION>  Destination dataset name [required]
    Common Options:
      -h, --help                   Display help message and exit
      --json-usage                 Display usage as JSON document and exit
      --config <KEY>=<VALUE>       Configuration option [may be repeated]
    Options:
      --overwrite                  Whether overwriting existing output dataset is allowed
    Advanced Options:
      -f, --format <FORMAT>        Dataset format

OPTIONS

--source <FILENAME>
    Source file name or directory name. Required.

--destination <FILENAME>
    Destination file name or directory name. Required.

-f, ---format <FORMAT>
    Dataset format. Helps if automatic detection does not work.

--overwrite
    Allow program to overwrite existing target file or dataset. Otherwise, by default, gdal errors out if the target file or dataset already exists.

RETURN STATUS CODE

The program returns status code 0 in case of success, and non-zero in case of error (non-blocking errors emitted as warnings are considered as a successful execution).

EXAMPLES

  Example 1: Copy a dataset

    $ gdal dataset copy source.tif destination.tif

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2026